Bug 584666 - Review Request: lv2-invada-plugins - A collection of LV2 plugins from Invada Records
Summary: Review Request: lv2-invada-plugins - A collection of LV2 plugins from Invada ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 06:24 UTC by David Cornette
Modified: 2010-05-17 19:06 UTC (History)
3 users (show)

Fixed In Version: lv2-invada-plugins-1.2.0-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-17 18:51:13 UTC
oget.fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description David Cornette 2010-04-22 06:24:59 UTC
Spec URL: http://www.davidcornette.com/lv2-invada-plugins.spec
SRPM URL: http://www.davidcornette.com/lv2-invada-plugins-1.2.0-1.fc11.src.rpm
Description:
A collection of LV2 plugins including delay, tube distortion, compressor,
LPF, HPF, phaser, reverb, and utilities, all featuring GUIs.

rpmlint is clean on the spec and rpms.

Scratch builds on koji succeeded.
F12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2131512
F13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2131526

I am not yet a packager, so I need a sponsor.  This is not my first package submitted for review.  I also submitted Bug 581104, which is currently blocked waiting for a required package to be reviewed.

Comment 1 Orcan Ogetbil 2010-04-27 20:12:57 UTC
I'll review this one

Comment 2 Orcan Ogetbil 2010-04-28 02:34:51 UTC
The package is almost ready to go. Here are the results of my review. *'s are blockers:

- rpmlint's complaints about the spelling errors can be ignored, since those are valid technical terms.

! The file README can go to the %doc

* The file plugingui/lv2_ui.h is LGPLv2+, so the license field it the specfile should be "GPLv2+ and LGPLv2+".
  Please document this in the specfile as a comment.

* Please patch (or sed) the Makefiles so that the build is verbose. The lines where the compilations occur is important.

Comment 3 David Cornette 2010-04-28 07:23:52 UTC
I have made the requested changes.

* Wed Apr 28 2010 David Cornette <rpm@davidcornette.com> 1.2.0-2
-- Added README to doc
-- Changed license to reflect license in plugingui/lv2_ui.h
-- Use sed to make building verbose

SPEC URL: http://www.davidcornette.com/lv2-invada-plugins.spec
SRPM URL: http://www.davidcornette.com/lv2-invada-plugins-1.2.0-2.fc11.src.rpm


Builds on koji:
F12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2142389
F13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2142378

Comment 4 Orcan Ogetbil 2010-04-28 07:52:18 UTC
Thanks.

* Look at the build log. The Fedora specific optimization flags (%optflags) are not effective when compiling stuff in plugingui/widgets/

You can see what the flags should look like by doing a
   $ rpm -E %{optflags}

! Other than this, you can use the "find" utility if you don't want to be over-repetitive, or just use wildcards, when sedding the Makefiles. Such as
   $ find . -name Makefile -exec sed -i 's|-O3|%{optflags}|' {} \;
or 
   $ sed -i 's|-O3|%{optflags}|' */Makefile */*/Makefile
etc. But I leave these all to your taste.

Comment 5 David Cornette 2010-04-30 05:06:18 UTC
The reason that plugingui/widgets/ wasn't using the right optflags was that rather than trying to replace -O3, i inadvertently typed -O2, so the regex never matched.  That tipped the balance in favor of using a find and just one sed command.

New version available:
SPEC URL: http://www.davidcornette.com/lv2-invada-plugins.spec
SRPM URL: http://www.davidcornette.com/lv2-invada-plugins-1.2.0-3.fc11.src.rpm

* Wed Apr 28 2010 David Cornette <rpm@davidcornette.com> 1.2.0-3
-- Use find to apply sed command to all Makefiles instead of listing each one
   explicitly to make sure each file is correctly adjusted

Comment 6 Orcan Ogetbil 2010-04-30 06:12:24 UTC
Thanks. This looks good. 

Please submit your sponsorship request at Fedora Accounts System (FAS) 
   https://admin.fedoraproject.org/accounts/home
and we will be at the final step.

Comment 7 Orcan Ogetbil 2010-04-30 07:32:34 UTC
I see that you submitted another review request in bug #581104 which is in good shape. You also made a comprehensive informal review in bug #581197. These show that you are capable of following Fedora guidelines. Now I am sponsoring you. Let me briefly go over the next steps.

Next, you will file a CVS request by following the procedure at
   http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Afterwards please follow the guidelines to install koji tools and learn about their usage as described in 
   http://fedoraproject.org/wiki/PackageMaintainers/Join#Install_the_Client_Tools_.28Koji.29
if you have not done so already. 

If you want to import this package to stable releases of Fedora (11, 12, 13 for the time being) you might want to look at the Bodhi usage page in the wiki:
   http://fedoraproject.org/wiki/Bodhi_Guide
which can be used both from the command line or through the web interface. Note that this is to be done after officially building the packages in koji in the respective branch(es).

If you have any questions, feel free to contact me through email, or at #fedora-devel or at #fedora-music on freenode. If there is an audio production software (or any other software) that you want to co-maintain, you will need to ask for permission in pkgdb, by clicking on to appropriate boxes at 
   https://admin.fedoraproject.org/pkgdb/acls/name/<package name>
In normal cases, it is a good idea to contact the primary maintainer first before doing so.

Moreover, you can now do official reviews.

Lifting FE-NEEDSPONSOR

-----------------------------------------------------
This package (lv2-invada-plugins) is APPROVED by oget
-----------------------------------------------------

Welcome to Fedora.

Comment 8 David Cornette 2010-04-30 16:05:51 UTC
New Package CVS Request
=======================
Package Name: lv2-invada-plugins
Short Description: A collection of LV2 plugins from Invada Records
Owners: davidcornette
Branches: F-11 F-12 F-13
InitialCC: oget

Comment 9 Kevin Fenzi 2010-04-30 17:45:28 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Fedora Update System 2010-04-30 21:47:35 UTC
lv2-invada-plugins-1.2.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/lv2-invada-plugins-1.2.0-3.fc12

Comment 11 Fedora Update System 2010-04-30 21:47:39 UTC
lv2-invada-plugins-1.2.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/lv2-invada-plugins-1.2.0-3.fc13

Comment 12 Fedora Update System 2010-04-30 21:47:43 UTC
lv2-invada-plugins-1.2.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lv2-invada-plugins-1.2.0-3.fc11

Comment 13 Fedora Update System 2010-04-30 23:46:24 UTC
lv2-invada-plugins-1.2.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2-invada-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lv2-invada-plugins-1.2.0-3.fc13

Comment 14 Fedora Update System 2010-05-03 16:01:35 UTC
lv2-invada-plugins-1.2.0-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2-invada-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lv2-invada-plugins-1.2.0-3.fc11

Comment 15 Fedora Update System 2010-05-03 16:02:49 UTC
lv2-invada-plugins-1.2.0-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2-invada-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lv2-invada-plugins-1.2.0-3.fc12

Comment 16 Fedora Update System 2010-05-17 18:51:08 UTC
lv2-invada-plugins-1.2.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-17 19:02:06 UTC
lv2-invada-plugins-1.2.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-05-17 19:06:01 UTC
lv2-invada-plugins-1.2.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.